clan::VertexArrayBufferProvider Class Reference - ClanLib SDK
Description: clan::VertexArrayBufferProvider Class Reference

Public Member Functions | List of all members
clan::VertexArrayBufferProvider Class Referenceabstract
clanDisplay Display

Vertex Array Buffer provider. More...

`#include <vertex_array_buffer_provider.h>`

## Public Member Functions
virtual | ~VertexArrayBufferProvider ()
virtual void | copy_from (GraphicContext &gc, TransferBuffer &buffer, int dest_pos, int src_pos, int size)=0
| Copies data from transfer buffer.
virtual void | copy_to (GraphicContext &gc, TransferBuffer &buffer, int dest_pos, int src_pos, int size)=0
| Copies data to transfer buffer.
virtual void | create (int size, BufferUsage usage)=0
| Constructs a vertex array buffer.
virtual void | create (void *data, int size, BufferUsage usage)=0
| Create.
virtual void | upload_data (GraphicContext &gc, int offset, const void *data, int size)=0
| Uploads data to vertex array buffer.

## Detailed Description

Vertex Array Buffer provider.

## Constructor & Destructor Documentation

## ◆ ~VertexArrayBufferProvider()

virtual clan::VertexArrayBufferProvider::~VertexArrayBufferProvider | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ copy_from()

virtual void clan::VertexArrayBufferProvider::copy_from | ( | GraphicContext & | gc,
|  | TransferBuffer & | buffer,
|  | int | dest_pos,
|  | int | src_pos,
|  | int | size )
| pure virtual

Copies data from transfer buffer.

## ◆ copy_to()

virtual void clan::VertexArrayBufferProvider::copy_to | ( | GraphicContext & | gc,
|  | TransferBuffer & | buffer,
|  | int | dest_pos,
|  | int | src_pos,
|  | int | size )
| pure virtual

Copies data to transfer buffer.

## ◆ create() [1/2]

virtual void clan::VertexArrayBufferProvider::create | ( | int | size,
|  | BufferUsage | usage )
| pure virtual

Constructs a vertex array buffer.

## ◆ create() [2/2]

virtual void clan::VertexArrayBufferProvider::create | ( | void * | data,
|  | int | size,
|  | BufferUsage | usage )
| pure virtual

Create.

Parameters

  data | = void
  size | = value
  usage | = Buffer Usage

## ◆ upload_data()

virtual void clan::VertexArrayBufferProvider::upload_data | ( | GraphicContext & | gc,
|  | int | offset,
|  | const void * | data,
|  | int | size )
| pure virtual

Uploads data to vertex array buffer.

The documentation for this class was generated from the following file:

- vertex_array_buffer_provider.h